//
// these functions allow output to be directed
// either to stdout (for plotting in the tek window)
// or to a file for which the ofstream is ofs (for
// creating a hard-copy graph using ps4014 (which
// translates tek graphics strings into postscript.
// 

#include "gogo.h"

//
// output a single string
void out(ofstream& ofs, string s)
{
    if (oflg){
        ofs << s;
    }
    else {
        cout << s;
    }
}

//
// output four chars
void out(ofstream& ofs, char c0, char c1, char c2, char c3)
{
    if (oflg){
        ofs << c0 << c1 << c2 << c3;
    }
    else {
        cout << c0 << c1 << c2 << c3;
    }
}

//
// output five chars
void out(ofstream& ofs, char c0, char c1, char c2, char c3, char c4)
{
    if (oflg){
        ofs << c0 << c1 << c2 << c3 << c4;
    }
    else {
        cout << c0 << c1 << c2 << c3 << c4;
    }
}

//
// output one float
void out(ofstream& ofs, flt x)
{
    if (oflg){
        ofs << x;
    }
    else {
        cout << x;
    }
}
