//
// gets options from the command line
//

#include "lorenz.h"
#include <libgen.h>

#ifdef __GLIBC__           // getopt_long is in glibc on linux
#include <getopt.h>        // getopt.h may not exist on SunOs etc
#endif

void get_opts(int argc, char** argv)
{
    extern int opterr;
    int i;
    string pgname = basename(argv[0]);
    opterr = yes;

#ifdef __GLIBC__
    int opt_index = 0;
    static struct option long_options[] = {
        {"help", 0, 0, 'h'},
        {"version", 0, 0, 'v'},
        {0, 0, 0, 0}
    };

    while ((i = getopt_long( argc, argv, "hv",
            long_options, &opt_index)) != -1 ) {
#else
    while ((i = getopt( argc, argv, "hv")) != -1){
#endif
        if (i == -1)
            break;

        switch (i) {
            case 'h':       // display help file
                prn_info(argv);
                exit(0);
                break;
            case 'v':       // print version number
                cerr << pgname << " version " << version << "\n";
                exit(0);
                break;
            case '?':       // for unrecognized option
                prn_usage(argv);
                exit( 1 );
        }
    }
}
